<bugID>589155<Summary>[Firefox Button]Missing items in Bookmarks popup if Bookmarks Menu Widget has been removed from toolbar</Summary><Description>Created attachment 467751
screenshot

User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b5pre)
Gecko/20100819 Minefield/4.0b5pre ID:20100820033948
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b5pre)
Gecko/20100819 Minefield/4.0b5pre ID:20100820033948

Missing items in Bookmarks popup. 
If Bookmarks Toolbar is shown and no Bookmarks Widget in the toolbar.

Reproducible: Always

Steps to Reproduce:
1. Start Minefield with new profile
2. Show "Bookmarks Toolbar" (Alt &gt; View &gt; Toolbars &gt; Check "Bookmarks Toolbar")
3. Customize Toolbar and remove "Booknarks Button Widget" from toolbar
   (Alt &gt; View &gt; Toolbars &gt; Customize... , Drag &amp; drop Bookmarks into palette)
4. Open Bookmarks popup
   (Click Firefox Button , "Bookmarks &gt;")

Actual Results:
 Missing items in Bookmarks popup.

Expected Results:
 The bookmark should be at the position of the indicator</Description></bugID>